SetScopeEvent (Resource Management Library 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.resourcemanagement.support.client.events
Class SetScopeEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<SetScopeEventHandler>
              org.gcube.resourcemanagement.support.client.events.SetScopeEvent

    public class SetScopeEvent

extends com.google.gwt.event.shared.GwtEvent<SetScopeEventHandler>

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`com.google.gwt.event.shared.GwtEvent.Type<H>`

Field Summary
`static com.google.gwt.event.shared.GwtEvent.Type<SetScopeEventHandler>` | `TYPE`

Constructor Summary
`SetScopeEvent(String scope2Set)`

Method Summary
`protected void` | `dispatch(SetScopeEventHandler handler)`
`com.google.gwt.event.shared.GwtEvent.Type<SetScopeEventHandler>` | `getAssociatedType()`
`String` | `getScope()`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static com.google.gwt.event.shared.GwtEvent.Type<SetScopeEventHandler> TYPE

Constructor Detail

### SetScopeEvent

    public SetScopeEvent(String scope2Set)

Method Detail

### getScope

    public String getScope()

### getAssociatedType

    public com.google.gwt.event.shared.GwtEvent.Type<SetScopeEventHandler> getAssociatedType()

  Overrides:
    `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<SetScopeEventHandler>`

### dispatch

    protected void dispatch(SetScopeEventHandler handler)

  Specified by:
    `dispatch` in class `com.google.gwt.event.shared.GwtEvent<SetScopeEventHandler>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.